VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Variables
Steinberg::Vst::FunctionNameType Namespace Reference

## Variables
const CString | kCompGainReduction = "Comp:GainReduction"
const CString | kCompGainReductionMax = "Comp:GainReductionMax"
const CString | kCompGainReductionPeakHold = "Comp:GainReductionPeakHold"
const CString | kCompResetGainReductionMax = "Comp:ResetGainReductionMax"
const CString | kLowLatencyMode = "LowLatencyMode"
const CString | kDryWetMix = "DryWetMix"
| Useful for live situation where low latency is required: 0 means LowLatency disable, 1 means LowLatency enable.
const CString | kRandomize = "Randomize"
| Allowing to mix the original (Dry) Signal with the processed one (Wet): 0.0 means Dry Signal only, 0.5 means 50% Dry Signal + 50% Wet Signal, 1.0 means Wet Signal only.
const CString | kPanPosCenterX = "PanPosCenterX"
| Allow to assign some randomized values to some parameters in a controlled way.
const CString | kPanPosCenterY = "PanPosCenterY"
| Gravity point Y-axis [0, 1]=>[Front-Rear].
const CString | kPanPosCenterZ = "PanPosCenterZ"
| Gravity point Z-axis [0, 1]=>[Bottom-Top].

## Variable Documentation

const CString kCompGainReduction = "Comp:GainReduction"

const CString kCompGainReductionMax = "Comp:GainReductionMax"

const CString kCompGainReductionPeakHold = "Comp:GainReductionPeakHold"

const CString kCompResetGainReductionMax = "Comp:ResetGainReductionMax"

const CString kLowLatencyMode = "LowLatencyMode"

const CString kDryWetMix = "DryWetMix"

Useful for live situation where low latency is required: 0 means LowLatency disable, 1 means LowLatency enable.

const CString kRandomize = "Randomize"

Allowing to mix the original (Dry) Signal with the processed one (Wet): 0.0 means Dry Signal only, 0.5 means 50% Dry Signal + 50% Wet Signal, 1.0 means Wet Signal only.

const CString kPanPosCenterX = "PanPosCenterX"

Allow to assign some randomized values to some parameters in a controlled way.

Panner Type Gravity point X-axis [0, 1]=>[L-R] (for stereo: middle between left and right)

const CString kPanPosCenterY = "PanPosCenterY"

Gravity point Y-axis [0, 1]=>[Front-Rear].

const CString kPanPosCenterZ = "PanPosCenterZ"

Gravity point Z-axis [0, 1]=>[Bottom-Top].

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.